org.apache.poi.ss.formula.ptg

## Class RefPtgBase

- java.lang.Object
- - org.apache.poi.ss.formula.ptg.Ptg
  - - org.apache.poi.ss.formula.ptg.OperandPtg
    - - org.apache.poi.ss.formula.ptg.RefPtgBase

- All Implemented Interfaces:
    Duplicatable
  Direct Known Subclasses:
    Ref3DPtg, Ref3DPxg, RefNPtg, RefPtg

      public abstract class RefPtgBase
      extends OperandPtg

  ReferencePtgBase - handles references (such as A1, A2, IA4)

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.ss.formula.ptg.Ptg

      `CLASS_ARRAY, CLASS_REF, CLASS_VALUE, EMPTY_PTG_ARRAY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RefPtgBase()`
    `protected` | `RefPtgBase(CellReference c)`
    `protected` | `RefPtgBase(RefPtgBase other)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `formatReferenceAsString()`
    `int` | `getColumn()`
    `byte` | `getDefaultOperandClass()`
    `int` | `getRow()`
    `boolean` | `isColRelative()`
    `boolean` | `isRowRelative()`
    `protected void` | `readCoordinates(LittleEndianInput in)`
    `void` | `setColRelative(boolean rel)`
    `void` | `setColumn(int col)`
    `void` | `setRow(int rowIndex)`
    `void` | `setRowRelative(boolean rel)`
    `protected void` | `writeCoordinates(LittleEndianOutput out)`

    - ### Methods inherited from class org.apache.poi.ss.formula.ptg.OperandPtg

      `copy, isBaseToken`

    - ### Methods inherited from class org.apache.poi.ss.formula.ptg.Ptg

      `createPtg, doesFormulaReferToDeletedCell, getEncodedSize, getEncodedSizeWithoutArrayData, getPtgClass, getRVAType, getSize, readTokens, serializePtgs, setClass, toFormulaString, toString, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RefPtgBase

          protected RefPtgBase()

    - #### RefPtgBase

          protected RefPtgBase(RefPtgBase other)

    - #### RefPtgBase

          protected RefPtgBase(CellReference c)

  - ### Method Detail

    - #### readCoordinates

          protected final void readCoordinates(LittleEndianInput in)

    - #### writeCoordinates

          protected final void writeCoordinates(LittleEndianOutput out)

    - #### setRow

          public final void setRow(int rowIndex)

    - #### getRow

          public final int getRow()

      Returns:
        the row number as an int

    - #### isRowRelative

          public final boolean isRowRelative()

    - #### setRowRelative

          public final void setRowRelative(boolean rel)

    - #### isColRelative

          public final boolean isColRelative()

    - #### setColRelative

          public final void setColRelative(boolean rel)

    - #### setColumn

          public final void setColumn(int col)

    - #### getColumn

          public final int getColumn()

    - #### formatReferenceAsString

          protected java.lang.String formatReferenceAsString()

    - #### getDefaultOperandClass

          public final byte getDefaultOperandClass()

      Specified by:
        `getDefaultOperandClass` in class `Ptg`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.